Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.rwi.extension
Class BooleanPropertyAdapter

    com.togethersoft.openapi.rwi.extension.RwiPropertyProviderAdapter
      |
      +--com.togethersoft.openapi.rwi.extension.BooleanPropertyAdapter

public abstract class BooleanPropertyAdapter
extends RwiPropertyProviderAdapter

Presents provider suited to work with boolean properties. Has default implementation. Some methods gets context element to produce additional calculations. This element has to implement `RwiPropertyMap` interface.

Author:
  TogetherSoft
See Also: RwiPropertyProviderAdapter, RwiPropertyMap

Constructor Summary
`BooleanPropertyAdapter(String name)` Creates new provider for property with specified name.

Method Summary
`boolean` | `canSetProperty(RwiPropertyMap element, String propertyValue)` Alwasy return `false`.
`String` | `getProperty(RwiPropertyMap element)` Return property value as a `String`.
`String` | `getPropertyName()` Returns name of boolean property.
`abstract boolean` | `hasProperty(RwiPropertyMap element)` Return value of this property.
`boolean` | `isPropertyReadable(RwiPropertyMap element)` Alwasy return `true`.
`boolean` | `isPropertyWritable(RwiPropertyMap element)` Alwasy return `false`.

Methods inherited from class com.togethersoft.openapi.rwi.extension.RwiPropertyProviderAdapter
`addProperty, canAddProperty, canSetProperty, dependencies, isApplicable, properties, setProperty, setProperty`

Constructor Detail

### BooleanPropertyAdapter

    public BooleanPropertyAdapter(String name)

  Creates new provider for property with specified name.

Method Detail

### canSetProperty

    public boolean canSetProperty(RwiPropertyMap element, String propertyValue)

  Alwasy return `false`. See `RwiPropertyMap.canSetProperty`.

### getProperty

    public String getProperty(RwiPropertyMap element)

  Return property value as a `String`.
  Returns: Empty `String = ""` if value = `true`, otherwise return `String = null`.

### getPropertyName

    public String getPropertyName()

  Returns name of boolean property.

### hasProperty

    public abstract boolean hasProperty(RwiPropertyMap element)

  Return value of this property.

### isPropertyReadable

    public boolean isPropertyReadable(RwiPropertyMap element)

  Alwasy return `true`. See `RwiPropertyMap.isPropertyReadable`.

### isPropertyWritable

    public boolean isPropertyWritable(RwiPropertyMap element)

  Alwasy return `false`. See `RwiPropertyMap.isPropertyWritable`.

Association Links

to Class java.lang.String

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD